Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454080 - hamlib-perl not built for perl 5.10.0
Summary: hamlib-perl not built for perl 5.10.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hamlib
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Denis Leroy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F9_5.10_REBUILD
TreeView+ depends on / blocked
 
Reported: 2008-07-04 13:14 UTC by Paul Howarth
Modified: 2008-07-09 02:54 UTC (History)
3 users (show)

Fixed In Version: 1.2.7-3.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-09 02:54:24 UTC


Attachments (Terms of Use)
Patch to add perl(:MODULE_COMPAT...) dependency and fix most rpmlint complaints except the "invalid-soname" ones, which would require more invasive changes (deleted)
2008-07-04 13:14 UTC, Paul Howarth
no flags Details | Diff

Description Paul Howarth 2008-07-04 13:14:28 UTC
The F-9 package of hamlib-perl has modules in "perl 5.8.8" paths,
which are not found by F-9's perl 5.10.0. The package therefore needs rebuilding
for perl 5.10.0.

There was a mass rebuild of perl packages late in the F-9 development period but
this package missed out on it, possibly because it is missing a perl version
"module compat" dependency and hence didn't have broken deps when perl was
upgraded to 5.10.0.

Comment 1 Paul Howarth 2008-07-04 13:14:28 UTC
Created attachment 311040 [details]
Patch to add perl(:MODULE_COMPAT...) dependency and fix most rpmlint complaints except the "invalid-soname" ones, which would require more invasive changes

Comment 2 Steve Conklin 2008-07-07 17:47:04 UTC
I'll apply the patch and build - thanks!


Comment 3 Fedora Update System 2008-07-07 18:23:32 UTC
hamlib-1.2.7-3.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-07-09 02:54:21 UTC
hamlib-1.2.7-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.